Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | PVector

Name

### normalize()

Examples

    PVector v = new PVector(10, 20, 2);
    v.normalize();
    println(v);  // Prints "[ 0.4454354, 0.8908708, 0.089087084 ]"

Description | Normalize the vector to length 1 (make it a unit vector).

Syntax

    vec.normalize()

Parameters

vec | any variable of type PVector

Returns | None
Usage | Web & Application

Updated on November 22, 2008 08:39:25pm PST